Subject: Re: Git for Windows v2.23.0-rc0, was Re: [ANNOUNCE] Git v2.23.0-rc0

From: Todd Zullinger <[email-masked]>
Date: Thu, 1 Aug 2019 18:18:58 -0400

Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
>> Jeff King <[email-masked]> writes:
>>
>>>> +	if (mailmap < 0)
>>>>  		mailmap = 0;
>>>> -	}
>>>
>>> This should be "mailmap = 1" to match the commit message, no? (Which
>>> also implies we may want a new test).
>>
[...]
> +test_expect_success 'log.mailmap is true by default these days' '
> +	git log --author Santa | grep Author >actual &&
> +	test_cmp expect actual
> +'
> +
>  test_expect_success 'Only grep replaced author with --use-mailmap' '
>  	git log --use-mailmap --author "<[email-masked]>" >actual &&
>  	test_must_be_empty actual

With log.mailmap true by default, should we also have some
tests to ensure that --no-use-mailmap and log.mailmap=False
do the right thing?  (I mean eventually, not necessarily
with this patch as extra work for you Junio.)

(If I was certain the answer is "yes" and more familiar with
t4203, I would have sent this in diff format.)

-- 
Todd